# Uses of Enum Class
org.opensaml.saml.saml2.encryption.Encrypter.KeyPlacement

Packages that use Encrypter.KeyPlacement
Package
Description
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of Encrypter.KeyPlacement in org.opensaml.saml.saml2.encryption

Fields in org.opensaml.saml.saml2.encryption declared as Encrypter.KeyPlacement
Modifier and Type
Field
Description
`private Encrypter.KeyPlacement`
Encrypter.`keyPlacement`
The option for where to place the generated EncryptedKey elements.
Methods in org.opensaml.saml.saml2.encryption that return Encrypter.KeyPlacement
Modifier and Type
Method
Description
`Encrypter.KeyPlacement`
Encrypter.`getKeyPlacement()`
Get the current key placement option.
`static Encrypter.KeyPlacement`
Encrypter.KeyPlacement.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Encrypter.KeyPlacement[]`
Encrypter.KeyPlacement.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.saml.saml2.encryption with parameters of type Encrypter.KeyPlacement
Modifier and Type
Method
Description
`void`
Encrypter.`setKeyPlacement(Encrypter.KeyPlacement newKeyPlacement)`
Set the key placement option.

## Uses of Encrypter.KeyPlacement in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type Encrypter.KeyPlacement
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,Encrypter.KeyPlacement>`
AbstractEncryptAction.`keyPlacementLookupStrategy`
Strategy used to determine encrypted key placement.
Method parameters in org.opensaml.saml.saml2.profile.impl with type arguments of type Encrypter.KeyPlacement
Modifier and Type
Method
Description
`void`
AbstractEncryptAction.`setKeyPlacementLookupStrategy(Function<ProfileRequestContext,Encrypter.KeyPlacement> strategy)`
Set the strategy used to determine the encrypted key placement strategy.